package example;

import javax.inject.Inject;
import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.asset.EmptyAsset;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.junit.Test;
import org.junit.runner.RunWith;
import static org.junit.Assert.*;

@RunWith(Arquillian.class)
public class FooTest {
    @Deployment
    public static WebArchive createDeployment() {
        return ShrinkWrap.create(WebArchive.class)
            .addClasses(Foo.class, Bar.class);

        // This problem happens with an explicit bean archive (no beans.xml).
        // Adding empty beans.xml makes this an implicit bean archive and works.
        //.addAsWebInfResource(EmptyAsset.INSTANCE, "beans.xml");
    }
    
    @Inject Foo foo;
    @Test
    public void test() throws Exception {
        // @Model StereoType is one of bean defining annotationss in CDI spec so foo should be injectable.
        assertNotNull(foo);
    }
}
